# Class ClientProtocol.MessageType

java.lang.Object
com.sparshui.common.ClientProtocol.MessageType

Enclosing class:
  `ClientProtocol`

protected class ClientProtocol.MessageType extends Object

Author:
  tross

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EVENT`
`static final int`
`GET_ALLOWED_GESTURES`
`static final int`
`GET_GROUP_ID`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MessageType()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EVENT

public static final int EVENT

See Also:
  - Constant Field Values

### GET_GROUP_ID

public static final int GET_GROUP_ID

See Also:
  - Constant Field Values

### GET_ALLOWED_GESTURES

public static final int GET_ALLOWED_GESTURES

See Also:
  - Constant Field Values

## Constructor Details

### MessageType

protected MessageType()